Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class NodeManager

    java.lang.Object
      oracle.ifs.core.runtime.NodeManager

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class NodeManager

extends java.lang.Object
implements javax.servlet.ServletContextListener

A NodeManager handles the startup and shutdown of a CMSDK Node in one JVM.

It gets notified by the container via the ServletContextListener interface when either a startup or a shutdown event occurs.

Constructor Summary
`NodeManager()` Default constructor for a NodeManager.

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)` This method is called during shutdown of the JEE container.
`void` | `contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)` Initializes the Servlet context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeManager

    public NodeManager()
                throws java.lang.Exception

  Default constructor for a NodeManager.

  Throws:
    `java.lang.Exception`

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent servletContextEvent)

  Description copied from class: `NodeManager`
  Initializes the Servlet context.

  This method is called during startup of the JEE container. It starts up a CMSDK Node based on the configuration parameters in the web.xml.

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `servletContextEvent` - The servlet context event

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

  Description copied from class: `NodeManager`
  This method is called during shutdown of the JEE container. It stops the CMSDK Node running in this JVM.

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`
  Parameters:
    `servletContextEvent` - The servlet context event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD